Skip to main content
GET
/
barbers
/
{id}
/
summaries
/
reviews
Get review summary for a barber
curl --request GET \
  --url https://api.guile.app/barbers/{id}/summaries/reviews \
  --header 'Authorization: Bearer <token>'
{
  "totalReviews": 1,
  "positive": {
    "count": 1,
    "percentage": 50
  },
  "negative": {
    "count": 1,
    "percentage": 50
  },
  "topPositiveTags": [
    {
      "tag": {
        "label": "<string>",
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "count": 1
    }
  ],
  "topNegativeTags": [
    {
      "tag": {
        "label": "<string>",
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "count": 1
    }
  ],
  "calculatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Query Parameters

date
string

Filter review metrics by date range. When not provided, defaults to the 1 month ending today. A date range, supporting inclusive or exclusive endpoints. Dates ranges use dates expressed in YYYY-MM-DD RFC 3339 date format. The value may have the following forms:

  • YYYY-MM-DD match the date exactly; equivalent to matching dates in the range [YYYY-MM-DD,YYYY-MM-DD]
  • [YYYY-MM-DD,YYYY-MM-DD] between two dates, inclusive of the endpoints
  • (YYYY-MM-DD,YYYY-MM-DD) between two dates, exclusive of the endpoints
  • [YYYY-MM-DD,] on or after the date
  • (YYYY-MM-DD,) after the date
  • [,YYYY-MM-DD] before or on the date
  • (,YYYY-MM-DD) before the date

Examples:

  • '2022-05-19'
  • '[2022-05-01,2022-05-31]'
  • '[2022-05-01,2022-06-01)'
  • '[2022-05-19,]'
  • '(2022-05-19,)'
  • '[,2022-05-19]'
  • '(,2022-05-19)'
Maximum string length: 24
Pattern: (?:^(\d{4}-\d{2}-\d{2}|([\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]]))$)

Response

Ok. The operation succeeded.

Aggregated review metrics for a barber

totalReviews
integer<int32>
required

Total number of reviews.

Required range: x >= 0
positive
object
required

Breakdown of positive reviews.

negative
object
required

Breakdown of negative reviews.

topPositiveTags
object[]
required

Top positive review tags, ranked by frequency.

Maximum array length: 4
topNegativeTags
object[]
required

Top negative review tags, ranked by frequency.

Maximum array length: 4
calculatedAt
string<date-time>
required

The date-time when these metrics were calculated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC.